%define module      Email-MIME-Creator
%define name        perl-%{module}
%define version     1.45.1
%define up_version  1.451
%define release     %mkrel 1
%define _requires_exceptions perl(q[Email::Simple::Creator])

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Email::MIME constructor for starting anew
License:        GPL or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Email/%{module}-%{up_version}.tar.bz2
Requires:       perl(Email::Simple::Creator)
%if %{mdkversion} < 1010
BuildRequires:  perl-devel
%endif
BuildRequires:  perl(Email::Simple::Creator)
BuildRequires:  perl(Email::MIME)
BuildRequires:  perl(Email::MIME::Modifier)
BuildRequires:  perl(Email::Date)
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
This software provides a constructor to Email::MIME for creating messages
from scratch.

%prep
%setup -q -n %{module}-%{up_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Email
%{_mandir}/*/*


%changelog
* Sun Jan 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.45.1-1mdv2007.0
+ Revision: 111434
- fix build dependencies
- fix build dependencies
- fix build dependencies
- Import perl-Email-MIME-Creator



* Sun Jan 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.45.1-1mdv2007.1
- first mdv release  
